Alokai

SapccApiCreateReplenishmentOrderRequest

Request parameters for createReplenishmentOrder operation in SapccApi. SapccApiCreateReplenishmentOrderRequest

interface SapccApiCreateReplenishmentOrderRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly scheduleReplenishmentForm: ScheduleReplenishmentForm;
	readonly termsChecked: boolean;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiCreateReplenishmentOrder
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiCreateReplenishmentOrder
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateReplenishmentOrder
scheduleReplenishmentFormRequiredScheduleReplenishmentForm{ScheduleReplenishmentForm} SapccApiCreateReplenishmentOrder
termsCheckedRequiredbooleanWhether terms were accepted or not. {boolean} SapccApiCreateReplenishmentOrder
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiCreateReplenishmentOrder

Referenced Types

On this page